Bug 411551 - (perl-DBIx-Class) Review Request: perl-DBIx-Class - Extensible and flexible object <-> relational mapper
Review Request: perl-DBIx-Class - Extensible and flexible object <-> relation...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DBIx-Class/
:
Depends On: 245699 perl-Scope-Guard 411511 411531 429081 perl-JSON-Any
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 00:29 EST by Chris Weyl
Modified: 2010-09-02 17:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 16:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-12-05 00:29:32 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class-0.08008-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class.spec

Description:
This is an SQL to OO mapper with an object API inspired by Class::DBI
(and a compatibility layer as a springboard for porting) and a
resultset API that allows abstract encapsulation of database
operations. It aims to make representing queries in your code as perl-
ish as possible while still providing access to as many of the
capabilities of the database as possible, including retrieving related
records from multiple tables in a single query, JOIN, LEFT JOIN, COUNT,
DISTINCT, GROUP BY and HAVING support.
Comment 1 Parag AN(पराग) 2007-12-05 02:20:58 EST
I got
 Bad build req: No Package Found for perl(DBD::SQLite) >= 1.13. Exiting

Can't find 1.13 release but can see 1.12 on koji.
Comment 2 Parag AN(पराग) 2007-12-21 02:19:10 EST
Is perl(DBD::SQLite) built?
Comment 3 Chris Weyl 2007-12-22 16:34:36 EST
From bug 245699, it looks like there are a number of issues with DBD::SQLite ==
1.13, 1.14.  I'll take a look and see if DBIx::Class _really_ needs 1.14, or if
1.12 will do.
Comment 4 Parag AN(पराग) 2007-12-31 21:56:51 EST
ping?
Comment 5 Chris Weyl 2008-01-11 18:48:27 EST
DBD::SQLite >= 1.13 is definitely needed by the test suite but won't be in
Fedora anytime soon (see bug 245699).

I've patched Makefile.PL to not insist on 1.13, as well as the test suite to
skip those tests which fail under 1.12 (but not 1.13+).

I've also patched DBIx::Class::StartupCheck to not complain unless perl is older
than 5.8.9 AND the overload bug is present, as (AFAIK) this bug is no longer
present in Fedora perl.  Additional eyeballs on this are invited and welcome.

SRPM URL:
http://fedora.biggerontheinside.net/review/perl-DBIx-Class-0.08008-2.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class.spec
Comment 6 Chris Weyl 2008-01-11 18:49:33 EST
Also removing bug 245699 (update DBD::SQLite) as a blocker given the patches above,
Comment 7 Parag AN(पराग) 2008-01-14 22:59:32 EST
I think you can still add some more BR to let make test pass like
Test::Pod::Coverage
http://koji.fedoraproject.org/koji/getfile?taskID=349282&name=build.log

Can you please check that and make modification in SPEC?
Also, I see rpmlint output as

perl-DBIx-Class.src:54: W: unversioned-explicit-provides
perl(DBIx::Class::ClassResolver::PassThrough)
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

Comment 8 Parag AN(पराग) 2008-02-01 22:37:57 EST
ping?
Comment 9 Chris Weyl 2008-03-10 22:19:03 EDT
Note the new dep on JSON::Any (it was bound to happen sooner or later).

SRPM URL:
http://fedora.biggerontheinside.net/review/perl-DBIx-Class-0.08010-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class.spec

Comment 10 Chris Weyl 2008-03-31 00:12:25 EDT
Latest scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=537935
Comment 11 Parag AN(पराग) 2008-03-31 02:07:13 EDT
perl-DBIx-Class.src:63: W: unversioned-explicit-provides
perl(DBIx::Class::ClassResolver::PassThrough)
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

perl-DBIx-Class.src:64: W: unversioned-explicit-provides
perl(DBIx::Class::Storage::TxnScopeGuard)
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

perl-DBIx-Class.src: W: patch-not-applied Patch1: skip_sqlite_1_13_tests.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.
Comment 12 Chris Weyl 2008-04-02 01:03:44 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=543385

SRPM URL:
http://fedora.biggerontheinside.net/review/perl-DBIx-Class-0.08010-4.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class.spec

Note there are a number of optional tests skipping -- these all run and pass for
me on F-8 (with SQL::Translator updated to 0.09000).  They're testing the
Class::DBI compatibility layer, not core functionality.
Comment 13 Parag AN(पराग) 2008-04-04 00:10:57 EDT
any reason (SQL::Translator 0.09000)tests are skipping for -devel build then. I see 
t/03podcoverage............................skipped
        all skipped: set TEST_POD to enable this test

t/86sqlt...................................skipped
        all skipped: SQL::Translator required

t/94versioning.............................skipped
        all skipped: needs DBD::SQLite and SQL::Translator 0.09 for testing

t/bindtype_columns.........................skipped
        all skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test
Comment 14 Chris Weyl 2008-04-09 22:22:10 EDT
(In reply to comment #13)
> any reason (SQL::Translator 0.09000)tests are skipping for -devel build then.
I see 
> t/03podcoverage............................skipped
>         all skipped: set TEST_POD to enable this test

POD coverage tests currently "fail", so this needs to be disabled.  Noted in the
updated spec below (release 5).

> t/86sqlt...................................skipped
>         all skipped: SQL::Translator required
> 
> t/94versioning.............................skipped
>         all skipped: needs DBD::SQLite and SQL::Translator 0.09 for testing

These two tests (including the optional CDBI-compat tests, apparently) depend on
an undocumented prereq of Class::Data::Inheritable -- added as a BR.

> t/bindtype_columns.........................skipped
>         all skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test

This optional test requires a live postgresql database to test against; not
available in the buildsystem.

http://koji.fedoraproject.org/koji/taskinfo?taskID=560545
SRPM URL:
http://fedora.biggerontheinside.net/review/perl-DBIx-Class-0.08010-5.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class.spec
Comment 15 Chris Weyl 2008-05-30 11:47:36 EDT
ping?  Is there anything you see needing to be updated to move this review
forward? :)
Comment 16 Parag AN(पराग) 2008-06-02 00:54:50 EDT
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=640082
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5b7eee3c1ddf6f865c816cde9e9bdf62  DBIx-Class-0.08010.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful (7 subtests UNEXPECTEDLY SUCCEEDED), 15 tests and 18
subtests skipped.
Passed TODO        Stat Wstat TODOs Pass  List of Passed
-------------------------------------------------------------------------------
t/81transactions.t               13    7  55 59 61-65
Files=106, Tests=2568, 48 wallclock secs (39.58 cusr +  4.35 csys = 43.93 CPU)

APPROVED.
Comment 17 Chris Weyl 2008-06-02 12:57:12 EDT
New Package CVS Request
=======================
Package Name: perl-DBIx-Class
Short Description: Extensible and flexible object <-> relational mapper
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 18 Kevin Fenzi 2008-06-02 15:08:10 EDT
cvs done.
Comment 19 Chris Weyl 2008-06-02 16:44:09 EDT
Imported and build in devel.  Thanks for the review! :)
Comment 20 Iain Arnell 2010-09-02 10:30:59 EDT
Package Change Request
======================
Package Name: perl-DBIx-Class
New Branches: el6
Owners: iarnell tremble
Comment 21 Kevin Fenzi 2010-09-02 17:19:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.